Get private orders history [Private]

Get a list of client orders by pair (e.g. BTC_USDT). Returns a list of order objects, newest first, 100 orders maximum, but not more than specified by the limit parameter.

This is a private route, so the api-key parameter should be sent in the header.

Data dictionary

NameTypeParameter typeRequiredRangeDescription
pairsstringQUERYNO-A trading pair as per the list from /v4/markets/public/getAll
limitintQUERYNO1-100Maximum amount of results in a response
sortenumQUERYNOasc, descSort the resulting list newest-on-top (desc) or oldest-on-top (asc)

📘️ Parameter pairs may take several arguments separated by commas, e.g. BTC_USDT,ETH_USDT,ETH_BTC. If not provided, returns all pairs.

📘️ Parameter limit defaults to 100 if not provided.

📘️ Parameter sort defaults to desc if not provided.

Exemplary request

First you will need to create a new order using Create a new order endpoint. Once done, please try this request for a start: {{baseURL}}/v4/order/private/history?limit=5

Response structure

You will receive a JSON in the response with data object, structured like this example:

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

[
    {
        "id": "aa6bcfe9-a8ed-4980-9102-69f6a8d1985d",   // Unique identifier of an order
        "type": "Limit",                                // Type of an order
        "quantity": "0.325",                            // Original order quantity
        "executedQuantity": "0.325",                    // Traded quantity (>0 if traded)
        "pair": "BTC_USDT",                             // Traded pair
        "price": "19936",                               // Price to trade
        "status": "Closed",                             // The status of the order
        "createdAt": "2022-10-04T11:44:04.808Z",        // Date-time of order creation, UTC
        "startAt": "2022-10-04T11:44:04.808Z"           // Date-time of beginning order execution, UTC
    },
    {
        "id": "e05e70a5-133d-47f6-9c53-578e8b7b444a",
        "type": "Limit",
        "quantity": "44.35",
        "executedQuantity": "0",
        "pair": "ETH_USDT",
        "price": "1349.7",
        "status": "Closed",
        "createdAt": "2022-10-04T11:53:22.725Z",
        "startAt": "2022-10-04T11:53:22.725Z"
    }
]

Errors

StatusError codeMessageParameterDescription
400ARGUMENT_VALIDATION_ERRORtake must not be greater than 100limitEnsure 1 <= limit <= 100
500WrongRequestExceptionsort must be a valid enum valuesortOnly asc or desc values are allowed
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
number

Start unix timestamp

number

End unix timestamp

number

Amount of items

string
enum

Sort

Allowed:
string

Currency Pairs separated by a comma

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json